Subject: [IPv6]Re: Deb Cooley's No Objection on draft-ietf-6man-snac-router-ra-flag-02: (with COMMENT)
From: Deb Cooley <[email-masked]>
To: Ted Lemon <[email-masked]>
Cc: The IESG <[email-masked]>, [email-masked], [email-masked], [email-masked]
Date: Fri, 13 Dec 2024 06:05:44 -0500
List-Id: "IPv6 Maintenance Working Group (6man)" <ipv6.ietf.org>

Apologies for the delay.

>From the 6man-snac-router-ra draft point of view, the change made to
security considerations is fine.

>From a snac-simple point of view, having not read the snac-simple draft, I
can't say.  I can put it on my 'to do' list, if you like.  Or we can
request an early secdir review (where we can suggest that the same reviewer
is assigned).

If the attack doesn't exist, then everything is fine.  I think it is just
difficult to say with only one of the two drafts under review this time
around.

Deb

On Thu, Dec 5, 2024 at 5:15 AM Ted Lemon <[email-masked]> wrote:

> Deb, thanks for the comments. I'm not the author but one of the
> participants in the working group, and also an author of the snac-simple
> document. Jonathan has updated the security considerations to take Thomas
> and Shivan's comments into account, and I think these comments have been
> addressed.
>
> Regarding the possible DoS, since no host is supposed to pay attention to
> this flag, the presence or absence of the flag should not change host
> behavior. Similarly, since no normal router pays attention to RAs, the
> presence or absence of this flag can't affect a router.
> The only devices that can pay attention to this flag are SNAC routers.
> Consequently it makes the most sense to discuss such attacks in that
> document—as you’ve noted, rightly or wrongly this document doesn’t provide
> enough context to motivate such a discussion.
>
> FWIW I don’t believe such an attack exists. We can conjecture that any bit
> can be misused; the problem is coming up with an actual theory as to how.
> The review comment advanced no such theory, and I’ve been unable to come up
> with one on my own.
>
> So if the reviewer actually has a specific theory it would be helpful to
> hear what it is. In that case we can add it to the security considerations
> for draft-IETF-snac-simple or, preferably, fix the issue so the attack is
> no longer practical.
>
> On Wed, Dec 4, 2024 at 1:33 PM Deb Cooley <[email-masked]> wrote:
>
>> Thanks.  It does clarify that part of my comment.
>>
>> Deb
>>
>> On Dec 3, 2024, at 8:48 AM, Eric Vyncke (evyncke) <[email-masked]>
>> wrote:
>>
>> 
>>
>> About the separation between the 6MAN I-D and the SNAC simple draft, as I
>> wrote in my own YES ballot and as Jen Linkova wrote in her shepherd’s write
>> up, the process of ‘carving out’ the RA flag out of the snac-simple was
>> agreed between the SNAC/6MAN chairs & ADs (Erik & Eric) during a SNAC WG
>> meeting at IETF119: “Interaction of this draft with
>>
>> the SNAC was discussed extensively at IETF119 and on the mailing lists“
>>
>>
>>
>> Hope this clarifies the situation,
>>
>>
>>
>> Regards,
>>
>>
>>
>> -éric
>>
>>
>>
>> *From: *Deb Cooley via Datatracker <[email-masked]>
>> *Date: *Tuesday, 3 December 2024 at 14:30
>> *To: *The IESG <[email-masked]>
>> *Cc: [email-masked] <
>> [email-masked]>, [email-masked] <
>> [email-masked]>, [email-masked] <[email-masked]>, [email-masked] <
>> [email-masked]>
>> *Subject: *Deb Cooley's No Objection on
>> draft-ietf-6man-snac-router-ra-flag-02: (with COMMENT)
>>
>> Deb Cooley has entered the following ballot position for
>> draft-ietf-6man-snac-router-ra-flag-02: No Objection
>>
>> When responding, please keep the subject line intact and reply to all
>> email addresses included in the To and CC lines. (Feel free to cut this
>> introductory paragraph, however.)
>>
>>
>> Please refer to
>> https://www.ietf.org/about/groups/iesg/statements/handling-ballot-positions/
>> for more information about how to handle DISCUSS and COMMENT positions.
>>
>>
>> The document, along with other ballot positions, can be found here:
>> https://datatracker.ietf.org/doc/draft-ietf-6man-snac-router-ra-flag/
>>
>>
>>
>> ----------------------------------------------------------------------
>> COMMENT:
>> ----------------------------------------------------------------------
>>
>> Thanks for both Shivan Kaul Sahib and Tomas Fossati for their reviews.
>> Both
>> have suggestions that impact Security Considerations, and both suggestions
>> should be considered either for this draft or for
>> draft-ietf-snac-simple.  It
>> would be nice to hear whether these suggestions are being considered, in
>> addition to which draft is considered appropriate.
>>
>> I also echo Paul's comment about the separation of this draft and
>> draft-ietf-snac-simple.  It would seem logical to have put them together.
>>
>>
>> --------------------------------------------------------------------
>> IETF IPv6 working group mailing list
>> [email-masked]
>> List Info: https://mailman3.ietf.org/mailman3/lists/[email-masked]/
>> --------------------------------------------------------------------
>>
>